> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wiza.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Individual Reveal

> Get the individual reveal by id.



## OpenAPI

````yaml /swagger/v1/openapi.yaml get /api/individual_reveals/{id}
openapi: 3.0.1
info:
  title: Wiza API Documentation
  version: v1
servers:
  - url: https://wiza.co
    variables:
      defaultHost:
        default: wiza.co
security: []
paths:
  /api/individual_reveals/{id}:
    parameters:
      - name: id
        in: path
        description: id
        required: true
        schema:
          type: string
    get:
      tags:
        - Individual Reveals
      summary: Get Individual Reveal
      description: Get the individual reveal by id.
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/IndividualRevealResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          status:
                            type: string
                            enum:
                              - queued
                              - resolving
                              - finished
                              - failed
                            description: |
                              >
                              Current status of the individual reveal.

                              | Status | Meaning |
                              | --- | --- |
                              | queued | Accepted and waiting to start. |
                              | resolving | Enrichment in progress. |
                              | finished | Enrichment completed successfully. |
                              | failed | Enrichment completed with errors. |
                      status:
                        type: object
                        properties:
                          code:
                            type: integer
                            example: 200
                          message:
                            type: string
                            example: ''
        '401':
          description: Unauthorized
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 404
                      message:
                        type: string
                        example: Not found
      security:
        - bearer_auth: []
components:
  schemas:
    IndividualRevealResponse:
      type: object
      properties:
        status:
          type: object
          properties:
            code:
              type: integer
              example: 200
            message:
              type: string
              example: 🧙 Wiza is working on it!
        type:
          type: string
          enum:
            - individual_reveal
          example: individual_reveal
        data:
          type: object
          properties:
            id:
              type: integer
              example: 32
            status:
              type: string
              example: queued
            is_complete:
              type: boolean
              example: false
            name:
              type: string
              example: Stephen Hakami
            company:
              type: string
              example: Wiza
            enrichment_level:
              type: string
              example: partial
            linkedin_profile_url:
              type: string
              example: https://www.linkedin.com/in/stephen-hakami-5babb21b0/
            title:
              type: string
              example: Founder, Chief Executive Officer
            location:
              type: string
              example: Toronto, Ontario, Canada
            email:
              type: string
              nullable: true
              example: stephen@wiza.co
            email_type:
              type: string
              nullable: true
              example: work
            email_status:
              type: string
              nullable: true
              enum:
                - valid
                - risky
                - unfound
                - 'null'
              example: valid
            emails:
              type: array
              items:
                type: object
                properties:
                  email:
                    type: string
                    example: stephen@wiza.co
                  email_type:
                    type: string
                    example: work
                  email_status:
                    type: string
                    enum:
                      - valid
                      - risky
                      - unfound
                    example: valid
            mobile_phone:
              type: string
              nullable: true
              example: '+11234567890'
            phone_number:
              type: string
              nullable: true
              example: '+11234567890'
            phone_status:
              type: string
              nullable: true
              enum:
                - found
                - unfound
                - 'null'
            phones:
              type: array
              items:
                type: object
                properties:
                  number:
                    type: string
                    example: '+11234567890'
                  pretty_number:
                    type: string
                    example: +1 (123) 456-7890
                  type:
                    type: string
                    example: mobile
                    enum:
                      - mobile
                      - other
            company_size:
              type: integer
              example: 21
            company_type:
              type: string
              example: Private
            company_domain:
              type: string
              example: wiza.co
            company_locality:
              type: string
              example: Toronto
            company_region:
              type: string
              example: Ontario
            company_country:
              type: string
              example: Canada
            company_street:
              type: string
              example: 1234 Street
            company_founded:
              type: integer
              example: 2017
            company_funding:
              type: integer
              example: 1000000
            company_revenue:
              type: integer
              example: 1000000
            company_industry:
              type: string
              example: Software Development
            company_linkedin:
              type: string
              example: https://www.linkedin.com/company/wizainc/
            company_location:
              type: string
              example: Toronto, Ontario, Canada
            company_size_range:
              type: string
              example: 11-50
            company_description:
              type: string
              example: >-
                Wiza is a data enrichment tool that helps you find email
                addresses and phone numbers of your ideal customers.
            company_postal_code:
              type: string
              example: M5V 2A1
            company_subindustry:
              type: string
              example: Data Enrichment
            credits:
              type: object
              description: Breakdown of credits used for this request.
              nullable: true
              properties:
                email_credits:
                  type: integer
                  nullable: true
                  example: 1
                  description: Number of email credits used.
                phone_credits:
                  type: integer
                  nullable: true
                  example: 1
                  description: Number of phone credits used.
                export_credits:
                  type: integer
                  nullable: true
                  example: 0
                  description: Number of export credits used.
                api_credits:
                  type: object
                  nullable: true
                  description: >-
                    Breakdown of API credits used. If the request is from the
                    API, this will be included.
                  properties:
                    total:
                      type: integer
                      description: Total number of API credits used.
                      example: 8
                    email_credits:
                      type: integer
                      example: 2
                      description: Number of API email credits used.
                    phone_credits:
                      type: integer
                      example: 5
                      description: Number of API phone credits used.
                    scrape_credits:
                      type: integer
                      example: 1
                      description: Number of API scrape credits used.
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Enter your bearer token (your API key) in the **Authorization** header
        in the format `Bearer {token}`

````